{
    template:'${tmpl}',
    data:function(){
        return {
          
        }
    },
    mounted:function(){
      

    },
    created:function(){
   
    },
    methods:{
      btnvisbleMethod(row,btn){
        if(btn.key=="invoiceapply"){
          if(row.orderPayStatus=="yfk"&&row.invoiceApplyStatus=="1"&&row.isIinvoice==1){
            return true;
          }else{
            return false;
          }
        }
        if(btn.key=="shangjia"){
          if(row.publish_status=="success" || row.publish_status=="lowershelf"){
            return true;
          }else{
            return false;
          }
        }
        if(btn.key=="xiajia"){
          if(row.publish_status=="uppershelf"){
            return true;
          }else{
            return false;
          }
        }
        
        return true;
      },
      onColFormater(row,column,cellvalue,index){
        if(column.property=="created_at"){
          var date = new Date(row["created_at"]);
          var time= date.toLocaleDateString();
      
          return time;
        }
        
        return cellvalue;
      },
      onToolbarClick(key,t,rows){
        
      },
      onRowClick(row,key,e){
        console.log(row);
        if(key=="mydetail"){
          if(row.ncl_one_code){
            this.$root.pushx({
              title:"商标详情",
              name:"/ptmtransactiondetailpmg",
              params:{
                id:row.id,
                code:row.code,
                ncl_one_code:row.ncl_one_code
              }
            });
          }else{
            this.$root.pushx({
              title:"商标详情",
              name:"/ptmtransactiondetailpmg",
              params:{
                id:row.id,
                code:row.code
              }
            });
          }
        }
       },

    },
    computed: Vuex.mapState({
      count:state=>state.count,
      headStyle:function(){
        return {"background-color":"white"};
      }
    }),
    vname:"gsb_tmtransactionpmg"
}
